# Endpoints

- [Organizations](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/organizations.md)
- [GET /organizations](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/organizations/get-organizations.md): Get user organizations
- [GET /organizations/{org\_id}](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/organizations/get-organizations-org_id.md): Get user organization detail
- [Locations](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/locations.md)
- [GET /locations](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/locations/get-locations.md): Get user locations
- [GET /locations/{location\_id}](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/locations/get-locations-location_id.md): Get location info
- [GET /locations/{location\_id}/devices](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/locations/get-locations-location_id-devices.md): Get location devices
- [POST /locations](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/locations/post-locations.md): Create location
- [DELETE /locations/{location\_id}](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/locations/delete-locations-location_id.md): Delete location
- [Devices](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/devices.md)
- [GET /devices](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/devices/get-devices.md): Get user devices
- [GET /devices/{serial\_number}](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/devices/get-devices-serial_number.md): Get device info
- [PUT /devices/{serial\_number}](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/devices/put-devices-serial_number.md): Update device info
- [POST /devices/{serial\_number}/install](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/devices/post-devices-serial_number-install.md): Install a device at a location
- [POST /devices/{serial\_number}/uninstall](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/devices/post-devices-serial_number-uninstall.md): Uninstall a device at a location
- [GET /uninstalled-devices](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/devices/get-uninstalled-devices.md): GET Uninstalled Devices
- [Foot Traffic](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/foot-traffic.md)
- [GET /foot-traffic/locations](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/foot-traffic/get-foot-traffic-locations.md): Get Foot Traffic from all locations
- [GET /foot-traffic/devices/{serial\_number}](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/foot-traffic/get-foot-traffic-devices-serial_number.md): Get Foot Traffic at device level
- [Schemas](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/schemas.md)
- [Organization](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/schemas/organization.md)
- [Location](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/schemas/location.md)
- [Address](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/schemas/address.md)
- [Device](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/schemas/device.md)
- [LocationMetric](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/schemas/locationmetric.md)
- [Foot Traffic](https://docs.getdor.com/dtm-docs/dtm-api/endpoints/schemas/foot-traffic.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getdor.com/dtm-docs/dtm-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
